curl -X GET "https://api.sandbox.delegare.dev/v1/merchants/transactions?limit=10" \
-H "X-Delegare-Merchant-Id: your_merchant_id" \
-H "X-Delegare-Api-Key: your_api_key"
{
"hasMore": false,
"data": [
{
"id": "txn_123456789",
"delegateId": "del_987654321",
"amountCents": 500,
"status": "succeeded",
"rail": "base",
"createdAt": "2024-03-27T10:00:00Z"
},
{
"id": "txn_223456789",
"delegateId": "del_187654321",
"amountCents": 1200,
"status": "succeeded",
"rail": "stripe",
"createdAt": "2024-03-26T14:30:00Z"
}
]
}
Merchant API
List Transactions
Retrieve a list of transactions across your merchant account.
GET
/
v1
/
merchants
/
transactions
curl -X GET "https://api.sandbox.delegare.dev/v1/merchants/transactions?limit=10" \
-H "X-Delegare-Merchant-Id: your_merchant_id" \
-H "X-Delegare-Api-Key: your_api_key"
{
"hasMore": false,
"data": [
{
"id": "txn_123456789",
"delegateId": "del_987654321",
"amountCents": 500,
"status": "succeeded",
"rail": "base",
"createdAt": "2024-03-27T10:00:00Z"
},
{
"id": "txn_223456789",
"delegateId": "del_187654321",
"amountCents": 1200,
"status": "succeeded",
"rail": "stripe",
"createdAt": "2024-03-26T14:30:00Z"
}
]
}
Retrieve a paginated list of all successful and failed transactions processed across all delegates connected to your merchant account.
Headers
string
required
Your merchant identifier.
string
required
Your merchant API key.
Query Parameters
integer
default:"10"
A limit on the number of objects to be returned, between 1 and 100.
string
A cursor for use in pagination.
starting_after is an object ID that defines your place in the list.Response
boolean
Whether there are more transactions available in the list.
array
An array of transaction objects.
Show properties
Show properties
string
Unique identifier for the transaction.
string
The ID of the Intent Mandate used for the transaction.
integer
The transaction amount in cents (USD).
string
The status of the transaction (
succeeded, failed, pending).string
The rail used for settlement (
stripe or base).string
ISO 8601 timestamp of when the transaction occurred.
curl -X GET "https://api.sandbox.delegare.dev/v1/merchants/transactions?limit=10" \
-H "X-Delegare-Merchant-Id: your_merchant_id" \
-H "X-Delegare-Api-Key: your_api_key"
{
"hasMore": false,
"data": [
{
"id": "txn_123456789",
"delegateId": "del_987654321",
"amountCents": 500,
"status": "succeeded",
"rail": "base",
"createdAt": "2024-03-27T10:00:00Z"
},
{
"id": "txn_223456789",
"delegateId": "del_187654321",
"amountCents": 1200,
"status": "succeeded",
"rail": "stripe",
"createdAt": "2024-03-26T14:30:00Z"
}
]
}